import de.pakad.tools.StdIn;
import de.pakad.tools.StdOut;

/**
 * Berechnung der Collatz-Funktion und der Anzahl
 * der Iterationen, die benötigt werden, um eine
 * Eingabezahl auf den Wert 1 zu transformieren.
 *
 * @author Karsten Brodmann
 */
public class Collatz {
    /**
     * @param args nicht verwendet
     */
    public static void main(String[] args) {
        /* Definiere zwei Variablen x und z vom Typ "ganze Zahl"
         *
         *    x = Eingabe-/Startzahl
         *    z = Zählvariable
         */
        int x = StdIn.readInt("Bitte eine natürliche Zahl: ");
        int z = 0;

        while (x > 1) {       // solange x größer 1 ...
            if (x%2 == 0)     // wenn x gerade,
                x = x/2;      // dann halbiere x
            else              // sonst
                x = 3*x + 1;  // verdreifache x und addiere 1
            z = z+1;          // erhöhe z um 1
        }
        StdOut.println(z);    // gib z aus
    }
}
